Package org.eclipse.lemminx.services.extensions

## Interface ISharedSettingsRequest

All Known Subinterfaces:
  `ICompletionItemResolverRequest`, `ICompletionRequest`, `IHoverRequest`

All Known Implementing Classes:
  `ResolveCompletionItemRequest`

    public interface ISharedSettingsRequest

Shared settings request API

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canSupportMarkupKind​(String kind)` Returns `true` if the client can support the given Markup kind for documentation and `false` otherwise.
`SharedSettings` `getSharedSettings()` Returns the sharedSettings instance

### Method Detail

#### canSupportMarkupKind

    boolean canSupportMarkupKind​(String kind)

Returns `true` if the client can support the given Markup kind for documentation and `false` otherwise.

Parameters:
  `kind` - the markup kind
Returns:
  `true` if the client can support the given Markup kind for documentation and `false` otherwise.

#### getSharedSettings

    SharedSettings getSharedSettings()

Returns the sharedSettings instance

Returns:
  the sharedSettings instance